# Webhook設定でTelegramから受け取る

{% hint style="info" %}

```
テレグラムメッセンジャーを使用してウェブフックの受信を設定するとPLURA 検出通知をテレグラムで確認出来ます。 
```

{% endhint %}

## 1. グループ通知 <a href="#id-1" id="id-1"></a>

## 2. テレグラムでウェブフック設定 <a href="#id-2" id="id-2"></a>

### 2-1. Bot生成 <a href="#id-2-1" id="id-2-1"></a>

{% hint style="info" %}

```
BotFather検索
 /newbot入力
 Bot名登録
 Bot識別キー登録(_botで終わらせる必要があります。)
 Bot生成後、出力ウィンドウのt.me/Bot識別キーのスタート(start)をクリックして活性化
```

{% endhint %}

### 2-2. Botをグループチャットに招待 <a href="#id-2-2" id="id-2-2"></a>

{% hint style="info" %}

```
グループを生成し、Bot名で検索して登録
Bot生成する時、 Tokenを使用して現在グループチャットのidを確認
https://api.telegram.org/bot{Token}/getUpdates
```

{% endhint %}

### 2-3. 通知設定 <a href="#id-2-3" id="id-2-3"></a>

確認した情報をPLURA 通知設定に登録

{% hint style="info" %}

```
例) https://api.telegram.org/bot{Token}/sendmessage?parse_mode=Markdown&chat_id={id}
```

{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.plura.io/ja/faq/siem/alarm/webhook-telegram.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
